# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2018-11-19 17:58
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("formations", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="formation",
            name="date_heure",
            field=models.DateTimeField(verbose_name="Date et heure"),
        ),
        migrations.AlterField(
            model_name="formation",
            name="description",
            field=models.TextField(
                help_text="Penser à préciser le niveau prérequis, et éventuellement détailler le programme…",
                verbose_name="Description",
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="duree",
            field=models.IntegerField(
                choices=[
                    (30, "30 minutes"),
                    (60, "1 heure"),
                    (90, "1 heure 30"),
                    (120, "2 heures"),
                    (150, "2 heures 30"),
                    (180, "3 heures"),
                    (210, "3 heures 30"),
                    (240, "4 heures"),
                ],
                verbose_name="Durée",
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="inscrits",
            field=models.ManyToManyField(
                editable=False,
                related_name="_formation_inscrits_+",
                through="formations.Inscription",
                to="portailuser.PortailUser",
                verbose_name="Inscrits",
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="lieu",
            field=models.CharField(max_length=32, verbose_name="Lieu de rendez-vous"),
        ),
        migrations.AlterField(
            model_name="formation",
            name="nb_fixes",
            field=models.PositiveSmallIntegerField(
                default=5, verbose_name="Nombre de places (machines fournies)"
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="nb_portables",
            field=models.PositiveSmallIntegerField(
                default=5, verbose_name="Nombre de places (portables)"
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="nom",
            field=models.CharField(max_length=32, verbose_name="Nom de la formation"),
        ),
        migrations.AlterField(
            model_name="formation",
            name="responsable",
            field=models.ForeignKey(
                help_text="Laissez vide pour utiliser votre nom",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="portailuser.PortailUser",
                verbose_name="Responsable",
            ),
        ),
        migrations.AlterField(
            model_name="formation",
            name="url_support",
            field=models.URLField(blank=True, verbose_name="URL du support"),
        ),
        migrations.AlterField(
            model_name="inscription",
            name="a_portable",
            field=models.BooleanField(default=False, verbose_name="A un portable"),
        ),
        migrations.AlterField(
            model_name="inscription",
            name="formation",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="formations.Formation",
                verbose_name="Formation",
            ),
        ),
        migrations.AlterField(
            model_name="inscription",
            name="inscrit",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="portailuser.PortailUser",
                verbose_name="Inscrit",
            ),
        ),
    ]
